/*
 * Copyright 2010 Graz University of Technology
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 * http://www.osor.eu/eupl/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * This product combines work with different licenses. See the "NOTICE" text
 * file for details on the various modules and licenses.
 * The "NOTICE" text file is part of the distribution. Any derivative works
 * that you distribute must include a readable copy of the "NOTICE" text file.
 */
package at.gv.egiz.moodle.eidconnector.logging.impl;

import java.util.Date;

import at.gv.egiz.moodle.eidconnector.logging.StatisticLogger;

/**
 * Using this class prevents any statistical logging.
 * @author AT-TUG (Thomas Knall)
 */
public class NOPStatisticLogger implements StatisticLogger {

   public void log(Date timestamp, String assertionIssuerId, String spID, String sha1OfEID,
            String citizenCountryCode, Integer citizenQAALevel, Integer age, Object... other) {
   }

}
