<?xml version="1.0" encoding="UTF-8" ?>
<%@ page isErrorPage="true" language="java" contentType="text/html; charset=UTF-8" pageEncoding="utf-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean"%>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html"%>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic"%>

<%@ page import="at.iaik.commons.util.MiscUtil" %>
<%@ page import="at.gv.egiz.moodle.eidconnector.webapp.struts.CustomExceptionHandler" %>
<%@ page import="org.apache.commons.lang.StringEscapeUtils" %>
<%@ page import="org.apache.commons.lang.exception.ExceptionUtils" %>

<html:html xhtml="true">

	<%
		String message = (String) request.getAttribute("javax.servlet.error.message");
		if (MiscUtil.isNotEmpty(ExceptionUtils.getMessage(exception))) {
			message = ExceptionUtils.getMessage(exception);
		}
		if (message == null) {
			message = "";
		}
		String causeText = ExceptionUtils.getMessage(ExceptionUtils.getCause(exception));
		if (MiscUtil.isNotEmpty(causeText)) {
		   if (!"".equals(message)) {
		      message = message + " (" + causeText + ")";
		   }
		}
		String mailto = CustomExceptionHandler.getMailToHREF(MiscUtil.isNotEmpty(message) ? message : "internal error", request);
		String stackTrace = ExceptionUtils.getFullStackTrace(exception);
	%>

	<head>
		<jsp:include page="/jsp/common/pagemainheader.jsp">
			<jsp:param name="titleKey" value="application.title"/>
		</jsp:include>
		<!-- 500.jsp -->
	</head>

	<body>
		<table align="center" border="0" cellpadding="5" cellspacing="0" width="100%">
			<jsp:include page="/jsp/common/pagetableheader.jsp">
				<jsp:param name="titleKey" value="errors.500.title"/>
				<jsp:param name="infotextKey" value="errors.500.infotext"/>
			</jsp:include>
			<tr>
				<td style="padding:0px">
				<!-- ============================================================== Start Main Table -->
					<table align="center" width="100%" border="0" class="boundingbox">
						<tr>
							<th class="section"><bean:message key="errors.500.subtitle"/><br/></th>
						</tr>
						<tr>
							<td align="center" style="padding:15px;">
								<bean:message key="errors.500.textwithoutmessage"/>
							</td>
						</tr>
						<tr>
							<td style="padding-bottom:10px" align="center"><p><%= mailto %></p></td>
						</tr>
					</table>
				<!-- ================================================================ End Main Table -->
				</td>
			</tr>
			<!--
			<tr>
				<td align="center">
					<form action="<html:rewrite action="/start.do"/>" method="post" enctype="application/x-www-form-urlencoded">
						<input type="submit" class="formbutton" value=" <bean:message key="errors.500.button.ok"/> "/>
					</form>
				</td>
			</tr>
			-->
		</table>

		<!-- STACKTRACE:
			<%= stackTrace != null ? stackTrace : "" %>
		-->

	</body>

</html:html>
