<?xml version="1.0" encoding="UTF-8" ?>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="utf-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean"%>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html"%>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic"%>

<%@ page import="at.iaik.commons.webapp.WebLink" %>
<%@ page import="at.iaik.commons.util.WebAppUtil" %>
<%@ page import="at.iaik.commons.webapp.WebConstants" %>

<html:html xhtml="true">

	<head>
		<jsp:include page="/jsp/common/pagemainheader.jsp">
			<jsp:param name="titleKey" value="application.title"/>
		</jsp:include>
		<!-- status.jsp -->
	</head>

	<body>
		<%
		String title      = (String) request.getAttribute(WebConstants.STATUS_TITLE_ID);
		String infotext   = (String) request.getAttribute(WebConstants.STATUS_INFOTEXT_ID);
		String subtitle   = (String) request.getAttribute(WebConstants.STATUS_SUBTITLE_ID);
		String content    = (String) request.getAttribute(WebConstants.STATUS_CONTENT_ID);
		String forward    = (String) request.getAttribute(WebConstants.STATUS_FORWARD_ID);
		WebLink link      = (WebLink) request.getAttribute(WebConstants.STATUS_WEBLINK_ID);

		if (title == null)    title    = "";
		if (infotext == null) infotext = "";
		if (subtitle == null) subtitle = "";
		if (content == null)  content  = "";
		%>

			<table align="center" border="0" cellpadding="5" cellspacing="0" width="100%">
				<jsp:include page="/jsp/common/pagetableheader.jsp">
					<jsp:param name="title" value="<%= title %>"/>
					<jsp:param name="infotext" value="<%= infotext %>"/>
				</jsp:include>
				<tr>
					<td align="center" class="boundingbox">
					<!-- ============================================================= Start Table #1 -->
						<table align="center" width="100%" border="0">
							<tr>
								<th class="section"><%= subtitle %></th>
							</tr>
							<!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - Start Table Body -->
							<%
								if (content.length() != 0) {
							%>
									<tr>
										<td align="center" style="padding-top:15px;"><p><%= content %></p></td>
									</tr>
							<%
								} // end if
							%>
							<%
								if (link != null) {
							%>
									<tr>
										<td style="padding-bottom:10px" align="center"><p><a href="<%= link.getHref() %>" title="<%= link.getDescription() %>"><%= link.getLabel() %></a></p></td>
									</tr>
							<%
								} // end if
							%>
							<!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - End Table Body -->
						</table>
					<!-- =============================================================== End Table #1 -->
					</td>
				</tr>
				<% if (forward != null) { %>
				<tr>
					<td align="center">
						<form action="<html:rewrite forward="<%= forward %>"/>" method="post" enctype="application/x-www-form-urlencoded">
							<input type="submit" class="formbutton" value=" <bean:message key="page.status.button.ok"/> "/>
						</form>
					</td>
				</tr>
				<% } %>
			</table>

	</body>

</html:html>
