@echo off
set CURRENT_DIR=%cd%
call setVariables.bat
echo.
echo Installing the service '%SERVICE_NAME%'
echo.
echo Using CATALINA_HOME:    %CATALINA_HOME%
echo Using CATALINA_BASE:    %CATALINA_BASE%
echo Using JAVA_HOME:        %JAVA_HOME%
echo.
echo SERVICE_DESCRIPTION:    "%SERVICE_DESCRIPTION%"
echo SERVICE_DISPLAY_NAME:   "%SERVICE_DISPLAY_NAME%"
echo.
echo CATALINA_OPTS:          %CATALINA_OPTS%
echo SERVICE_OPTS :          %SERVICE_OPTS%
echo.
pause
echo.

set EXECUTABLE=%CATALINA_HOME%\bin\tomcat6.exe
set PR_LOGPATH=%CATALINA_BASE%\logs
set PR_DESCRIPTION=%SERVICE_DESCRIPTION%
set PR_DISPLAYNAME=%SERVICE_DISPLAY_NAME%
set PR_INSTALL=%EXECUTABLE%
set PR_CLASSPATH=%CATALINA_HOME%\bin\bootstrap.jar
set PR_JVM=%JAVA_HOME%\jre\bin\server\jvm.dll

"%EXECUTABLE%" //IS//%SERVICE_NAME% --StartClass org.apache.catalina.startup.Bootstrap --StopClass org.apache.catalina.startup.Bootstrap --StartParams start --StopParams stop
set PR_LOGPATH=
set PR_DESCRIPTION=
set PR_DISPLAYNAME=
set PR_INSTALL=
set PR_CLASSPATH=
set PR_JVM=

"%EXECUTABLE%" //US//%SERVICE_NAME% --JvmOptions "-Dcatalina.base=%CATALINA_BASE%;-Dcatalina.home=%CATALINA_HOME%;-Djava.endorsed.dirs=%CATALINA_HOME%\endorsed" --StartMode jvm --StopMode jvm
set PR_STDOUTPUT=%CATALINA_BASE%\logs\stdout.log
set PR_STDERROR=%CATALINA_BASE%\logs\stderr.log

"%EXECUTABLE%" //US//%SERVICE_NAME% ++JvmOptions "-Djava.io.tmpdir=%CATALINA_BASE%\temp;%SERVICE_OPTS%" --JvmMs 128 --JvmMx 256
set PR_STDERROR=
set PR_STDOUTPUT=

cd %CURRENT_DIR%
set CURRENT_DIR=
echo The service '%SERVICE_NAME%' has been installed.
